# Version

#### REST endpoints version

The current REST API is version `1`, and is in beta.&#x20;

#### Data model version

{% hint style="info" %}
Any script using the API should be cautious and check for data model version changes.&#x20;
{% endhint %}

Ativo Programs for Jira evolves continuously. Adding new functionalities causes the configuration objects evolve as well.&#x20;

The current data model version is `9`

Non-breaking changes are added on a continuous basis. This typically means new data fields or data objects are created. A non-breaking data model change will not cause the version to change.

Breaking changes are added on a regular basis. This typically means:

* The format of a field changes
* A field is renamed
* A field is removed

The data model version is increased when a breaking change is released.

#### Data model REST endpoint&#x20;

Use the following REST endpoint (for Jira cloud) to check if the data model version still corresponds with the model version your script is supporting.&#x20;

{% openapi src="/files/LK6vexQN8L92NDNuwyD0" path="/rest/api/1/meta/model/version" method="get" %}
[Ativo-rest-2023-10-16.json](https://2916206105-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FBAGNud2YIYXdGXre7dQK%2Fuploads%2FG5DxuyGQFidcF0dTYoHR%2FAtivo-rest-2023-10-16.json?alt=media\&token=bed1c281-00d9-40a0-8c3c-01073483c61f)
{% endopenapi %}

#### Version header

The data model version is added as a `X-API-Model-Version` header to any API response. Example:

```
HTTP/1.1 200 
X-API-Model-Version: 9
```

#### Version history

*Version 7*&#x20;

First version used in the API.\
\
\&#xNAN;*Version 9*

* Added `isArchived` flag on Teams, Programs and Periods
* Teams are now either configured with a Jira board or in a custom way. When configured as a Jira board, only the Jira board id is provided. When configured as a custom team, the Jira or manual project filter is saved, as well as the mode (scrum or kanban) and estimation setting.

Version numbers can have gaps. E.g. model version 8 was not affecting the API, so it was not published.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ativo.io/rest-api/version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
